This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 688401 - when new child resources are discovered for a resource that is currently being viewed in the GUI, corresponding child resource nodes do not appear in the resource tree
when new child resources are discovered for a resource that is currently bein...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.B02
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 688397 gwt-tree jon3
  Show dependency treegraph
 
Reported: 2011-03-16 19:12 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-03-16 19:12:08 EDT
New children got discovered for the JBossAS Server resource I was currently viewing in the GUI. When I went to the Inventory>Children subtab, the ne children were listed. However, they never appeared in the resource tree. I had to go to a different page in the GUI and then return to the resource in order for nodes to show up in the tree for the new child resources.
Comment 1 John Mazzitelli 2011-03-24 14:35:31 EDT
this illustrates a general problem with the left hand tree - it is maintained/refreshed independently of what is happening on the server.

For example, if you uninventory or manually add children, the tree doesn't refresh when the children list changes

Note You need to log in before you can comment on or make changes to this bug.